#include <iostream>

using namespace std;

int main()
{
    int n;
    cin >> n;
    int a[n];
    double p[n];
    for(int i = 0; i < n; i++)
    {
        cin >> a[i] >> p[i];
    }

    for(int i = 0; i < n; i++)
    {
        for(int j = i+1; j < n; j++)
        {
            if(p[j] > p[i])
            {
                double tmp1 = p[j];
                p[j] = p[i];
                p[i] = tmp1;

                int tmp2 = a[j];
                a[j] = a[i];
                a[i] = tmp2;
            }
        }
    }

    double res = 0;
    for(int i = 0; i < n; i++)
    {
        double tmpSum = 0;
        for(int j = 0; j < n; j++)
        {
            if(p[j] >= p[i])
                tmpSum += (double)a[j];
        }
        double tmpProd = tmpSum * p[i] / 100;
        if(tmpProd > res)
            res = tmpProd;
    }
    printf("%.3f", res);
    return 0;
}